Find App-Specific Marketing Events by External Event Id
curl --request GET \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"appId": 123,
"externalAccountId": "<string>",
"externalEventId": "<string>",
"objectId": "<string>"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Identifiers
Search for events by external ID
Retrieves Marketing Events where the externalEventId matches the value provided in the request, limited to events created by the app making the request.
Marketing Events created by other apps will not be included in the results.
GET
/
marketing
/
marketing-events
/
2026-03
/
events
/
search
Find App-Specific Marketing Events by External Event Id
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The id of the marketing event in the external event application (externalEventId)
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I